<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/down_decoration">

<!--    <com.qmuiteam.qmui.widget.QMUITopBar-->
<!--        android:id="@+id/topbar"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="?attr/qmui_topbar_height"-->
<!--        android:layout_marginTop="@dimen/dp_20"-->
<!--        android:background="@color/trans" />-->

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_30"
        android:background="@color/trans">

        <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
            android:id="@+id/btn_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:src="@drawable/qmui_icon_topbar_back"
            android:layout_marginLeft="@dimen/dp_15"/>

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/theme_white_color"
            android:text="數據下載"
            android:layout_centerInParent="true"
            android:textSize="@dimen/sp_16"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
            android:id="@+id/btn_refresh"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/icon_refresh"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="@dimen/dp_15"/>
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:layout_marginTop="@dimen/dp_80"
        android:weightSum="2">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@mipmap/down_cloud"/>

            <TextView
                android:id="@+id/tv_progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="100%"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/dp_12"
                android:textColor="#13B7F5"
                android:textSize="@dimen/sp_24" />
        </FrameLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycle_download"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:fadeScrollbars="false"
                android:background="@mipmap/down_wave"
                android:paddingTop="@dimen/dp_50"
                android:listSelector="@color/theme_background_color"/>
    </LinearLayout>

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>